Functions

# ogr_srs_api.h File Reference

`#include "ogr_core.h"`

Go to the source code of this file.

## Functions
const char * | OSRAxisEnumToName (OGRAxisOrientation eOrientation)
| Return the string representation for the OGRAxisOrientation enumeration.
OGRSpatialReferenceH CPL_STDCALL | OSRNewSpatialReference (const char *)
| Constructor.
OGRSpatialReferenceH CPL_STDCALL | OSRCloneGeogCS (OGRSpatialReferenceH)
| Make a duplicate of the GEOGCS node of this OGRSpatialReference object.
OGRSpatialReferenceH CPL_STDCALL | OSRClone (OGRSpatialReferenceH)
| Make a duplicate of this OGRSpatialReference.
void CPL_STDCALL | OSRDestroySpatialReference (OGRSpatialReferenceH)
| OGRSpatialReference destructor.
int | OSRReference (OGRSpatialReferenceH)
| Increments the reference count by one.
int | OSRDereference (OGRSpatialReferenceH)
| Decrements the reference count by one.
void | OSRRelease (OGRSpatialReferenceH)
| Decrements the reference count by one, and destroy if zero.
OGRErr | OSRValidate (OGRSpatialReferenceH)
| Validate SRS tokens.
OGRErr | OSRFixupOrdering (OGRSpatialReferenceH)
| Correct parameter ordering to match CT Specification.
OGRErr | OSRFixup (OGRSpatialReferenceH)
| Fixup as needed.
OGRErr | OSRStripCTParms (OGRSpatialReferenceH)
| Strip OGC CT Parameters.
OGRErr CPL_STDCALL | OSRImportFromEPSG (OGRSpatialReferenceH, int)
| Initialize SRS based on EPSG GCS or PCS code.
OGRErr CPL_STDCALL | OSRImportFromEPSGA (OGRSpatialReferenceH, int)
| Initialize SRS based on EPSG GCS or PCS code.
OGRErr | OSRImportFromWkt (OGRSpatialReferenceH, char **)
| Import from WKT string.
OGRErr | OSRImportFromProj4 (OGRSpatialReferenceH, const char *)
| Import PROJ.4 coordinate string.
OGRErr | OSRImportFromESRI (OGRSpatialReferenceH, char **)
| Import coordinate system from ESRI .prj format(s).
OGRErr | OSRImportFromPCI (OGRSpatialReferenceH hSRS, const char *, const char *, double *)
| Import coordinate system from PCI projection definition.
OGRErr | OSRImportFromUSGS (OGRSpatialReferenceH, long, long, double *, long)
| Import coordinate system from USGS projection definition.
OGRErr | OSRImportFromXML (OGRSpatialReferenceH, const char *)
| Import coordinate system from XML format (GML only currently).
OGRErr | OSRImportFromMICoordSys (OGRSpatialReferenceH, const char *)
| Import Mapinfo style CoordSys definition.
OGRErr | OSRImportFromERM (OGRSpatialReferenceH, const char *, const char *, const char *)
| Create OGR WKT from ERMapper projection definitions.
OGRErr | OSRImportFromUrl (OGRSpatialReferenceH, const char *)
| Set spatial reference from a URL.
OGRErr CPL_STDCALL | OSRExportToWkt (OGRSpatialReferenceH, char **)
| Convert this SRS into WKT format.
OGRErr CPL_STDCALL | OSRExportToPrettyWkt (OGRSpatialReferenceH, char **, int)
| Convert this SRS into a a nicely formatted WKT string for display to a person.
OGRErr CPL_STDCALL | OSRExportToProj4 (OGRSpatialReferenceH, char **)
| Export coordinate system in PROJ.4 format.
OGRErr | OSRExportToPCI (OGRSpatialReferenceH, char **, char **, double **)
| Export coordinate system in PCI projection definition.
OGRErr | OSRExportToUSGS (OGRSpatialReferenceH, long *, long *, double **, long *)
| Export coordinate system in USGS GCTP projection definition.
OGRErr | OSRExportToXML (OGRSpatialReferenceH, char **, const char *)
| Export coordinate system in XML format.
OGRErr | OSRExportToMICoordSys (OGRSpatialReferenceH, char **)
| Export coordinate system in Mapinfo style CoordSys format.
OGRErr | OSRExportToERM (OGRSpatialReferenceH, char *, char *, char *)
| Convert coordinate system to ERMapper format.
OGRErr | OSRMorphToESRI (OGRSpatialReferenceH)
| Convert in place to ESRI WKT format.
OGRErr | OSRMorphFromESRI (OGRSpatialReferenceH)
| Convert in place from ESRI WKT format.
OGRErr CPL_STDCALL | OSRSetAttrValue (OGRSpatialReferenceH hSRS, const char *pszNodePath, const char *pszNewNodeValue)
| Set attribute value in spatial reference.
const char *CPL_STDCALL | OSRGetAttrValue (OGRSpatialReferenceH hSRS, const char *pszName, int iChild)
| Fetch indicated attribute of named node.
OGRErr | OSRSetAngularUnits (OGRSpatialReferenceH, const char *, double)
| Set the angular units for the geographic coordinate system.
double | OSRGetAngularUnits (OGRSpatialReferenceH, char **)
| Fetch angular geographic coordinate system units.
OGRErr | OSRSetLinearUnits (OGRSpatialReferenceH, const char *, double)
| Set the linear units for the projection.
OGRErr | OSRSetTargetLinearUnits (OGRSpatialReferenceH, const char *, const char *, double)
| Set the linear units for the target node.
OGRErr | OSRSetLinearUnitsAndUpdateParameters (OGRSpatialReferenceH, const char *, double)
| Set the linear units for the projection.
double | OSRGetLinearUnits (OGRSpatialReferenceH, char **)
| Fetch linear projection units.
double | OSRGetTargetLinearUnits (OGRSpatialReferenceH, const char *, char **)
| Fetch linear projection units.
double | OSRGetPrimeMeridian (OGRSpatialReferenceH, char **)
| Fetch prime meridian info.
int | OSRIsGeographic (OGRSpatialReferenceH)
| Check if geographic coordinate system.
int | OSRIsLocal (OGRSpatialReferenceH)
| Check if local coordinate system.
int | OSRIsProjected (OGRSpatialReferenceH)
| Check if projected coordinate system.
int | OSRIsCompound (OGRSpatialReferenceH)
| Check if the coordinate system is compound.
int | OSRIsGeocentric (OGRSpatialReferenceH)
| Check if geocentric coordinate system.
int | OSRIsVertical (OGRSpatialReferenceH)
| Check if vertical coordinate system.
int | OSRIsSameGeogCS (OGRSpatialReferenceH, OGRSpatialReferenceH)
| Do the GeogCS'es match?
int | OSRIsSameVertCS (OGRSpatialReferenceH, OGRSpatialReferenceH)
| Do the VertCS'es match?
int | OSRIsSame (OGRSpatialReferenceH, OGRSpatialReferenceH)
| Do these two spatial references describe the same system ?
OGRErr | OSRSetLocalCS (OGRSpatialReferenceH hSRS, const char *pszName)
| Set the user visible LOCAL_CS name.
OGRErr | OSRSetProjCS (OGRSpatialReferenceH hSRS, const char *pszName)
| Set the user visible PROJCS name.
OGRErr | OSRSetGeocCS (OGRSpatialReferenceH hSRS, const char *pszName)
| Set the user visible PROJCS name.
OGRErr | OSRSetWellKnownGeogCS (OGRSpatialReferenceH hSRS, const char *pszName)
| Set a GeogCS based on well known name.
OGRErr CPL_STDCALL | OSRSetFromUserInput (OGRSpatialReferenceH hSRS, const char *)
| Set spatial reference from various text formats.
OGRErr | OSRCopyGeogCSFrom (OGRSpatialReferenceH hSRS, OGRSpatialReferenceH hSrcSRS)
| Copy GEOGCS from another OGRSpatialReference.
OGRErr | OSRSetTOWGS84 (OGRSpatialReferenceH hSRS, double, double, double, double, double, double, double)
| Set the Bursa-Wolf conversion to WGS84.
OGRErr | OSRGetTOWGS84 (OGRSpatialReferenceH hSRS, double *, int)
| Fetch TOWGS84 parameters, if available.
OGRErr | OSRSetCompoundCS (OGRSpatialReferenceH hSRS, const char *pszName, OGRSpatialReferenceH hHorizSRS, OGRSpatialReferenceH hVertSRS)
| Setup a compound coordinate system.
OGRErr | OSRSetGeogCS (OGRSpatialReferenceH hSRS, const char *pszGeogName, const char *pszDatumName, const char *pszEllipsoidName, double dfSemiMajor, double dfInvFlattening, const char *pszPMName, double dfPMOffset, const char *pszUnits, double dfConvertToRadians)
| Set geographic coordinate system.
OGRErr | OSRSetVertCS (OGRSpatialReferenceH hSRS, const char *pszVertCSName, const char *pszVertDatumName, int nVertDatumType)
| Setup the vertical coordinate system.
double | OSRGetSemiMajor (OGRSpatialReferenceH, OGRErr *)
| Get spheroid semi major axis.
double | OSRGetSemiMinor (OGRSpatialReferenceH, OGRErr *)
| Get spheroid semi minor axis.
double | OSRGetInvFlattening (OGRSpatialReferenceH, OGRErr *)
| Get spheroid inverse flattening.
OGRErr | OSRSetAuthority (OGRSpatialReferenceH hSRS, const char *pszTargetKey, const char *pszAuthority, int nCode)
| Set the authority for a node.
const char * | OSRGetAuthorityCode (OGRSpatialReferenceH hSRS, const char *pszTargetKey)
| Get the authority code for a node.
const char * | OSRGetAuthorityName (OGRSpatialReferenceH hSRS, const char *pszTargetKey)
| Get the authority name for a node.
OGRErr | OSRSetProjection (OGRSpatialReferenceH, const char *)
| Set a projection name.
OGRErr | OSRSetProjParm (OGRSpatialReferenceH, const char *, double)
| Set a projection parameter value.
double | OSRGetProjParm (OGRSpatialReferenceH hSRS, const char *pszParmName, double dfDefault, OGRErr *)
| Fetch a projection parameter value.
OGRErr | OSRSetNormProjParm (OGRSpatialReferenceH, const char *, double)
| Set a projection parameter with a normalized value.
double | OSRGetNormProjParm (OGRSpatialReferenceH hSRS, const char *pszParmName, double dfDefault, OGRErr *)
| This function is the same as OGRSpatialReference::
OGRErr | OSRSetUTM (OGRSpatialReferenceH hSRS, int nZone, int bNorth)
| Set UTM projection definition.
int | OSRGetUTMZone (OGRSpatialReferenceH hSRS, int *pbNorth)
| Get utm zone information.
OGRErr | OSRSetStatePlane (OGRSpatialReferenceH hSRS, int nZone, int bNAD83)
| Set State Plane projection definition.
OGRErr | OSRSetStatePlaneWithUnits (OGRSpatialReferenceH hSRS, int nZone, int bNAD83, const char *pszOverrideUnitName, double dfOverrideUnit)
| Set State Plane projection definition.
OGRErr | OSRAutoIdentifyEPSG (OGRSpatialReferenceH hSRS)
| Set EPSG authority info if possible.
int | OSREPSGTreatsAsLatLong (OGRSpatialReferenceH hSRS)
| This function returns TRUE if EPSG feels this geographic coordinate system should be treated as having lat/long coordinate ordering.
int | OSREPSGTreatsAsNorthingEasting (OGRSpatialReferenceH hSRS)
| This function returns TRUE if EPSG feels this geographic coordinate system should be treated as having northing/easting coordinate ordering.
const char * | OSRGetAxis (OGRSpatialReferenceH hSRS, const char *pszTargetKey, int iAxis, OGRAxisOrientation *peOrientation)
| Fetch the orientation of one axis.
OGRErr | OSRSetACEA (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetAE (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetBonne (OGRSpatialReferenceH hSRS, double dfStandardParallel, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetCEA (OGRSpatialReferenceH hSRS, double dfStdP1, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetCS (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEC (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckert (OGRSpatialReferenceH hSRS, int nVariation, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckertIV (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckertVI (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEquirectangular (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEquirectangular2 (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfPseudoStdParallel1, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGS (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGH (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetIGH (OGRSpatialReferenceH hSRS)
OGRErr | OSRSetGEOS (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfSatelliteHeight, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGaussSchreiberTMercator (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGnomonic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetOM (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfAzimuth, double dfRectToSkew, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetHOM (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfAzimuth, double dfRectToSkew, double dfScale, double dfFalseEasting, double dfFalseNorthing)
| Set a Hotine Oblique Mercator projection using azimuth angle.
OGRErr | OSRSetHOM2PNO (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfLat1, double dfLong1, double dfLat2, double dfLong2, double dfScale, double dfFalseEasting, double dfFalseNorthing)
| Set a Hotine Oblique Mercator projection using two points on projection centerline.
OGRErr | OSRSetIWMPolyconic (OGRSpatialReferenceH hSRS, double dfLat1, double dfLat2, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetKrovak (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfAzimuth, double dfPseudoStdParallelLat, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLAEA (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCC (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCC1SP (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCCB (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMC (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMercator (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMollweide (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetNZMG (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetOS (OGRSpatialReferenceH hSRS, double dfOriginLat, double dfCMeridian, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetOrthographic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetPolyconic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetPS (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetRobinson (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetSinusoidal (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetStereographic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetSOC (OGRSpatialReferenceH hSRS, double dfLatitudeOfOrigin, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTM (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMVariant (OGRSpatialReferenceH hSRS, const char *pszVariantName, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMG (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMSO (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetVDG (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetWagner (OGRSpatialReferenceH hSRS, int nVariation, double dfFalseEasting, double dfFalseNorthing)
void | OSRCleanup (void)
| Cleanup cached SRS related memory.
OGRCoordinateTransformationH CPL_STDCALL | OCTNewCoordinateTransformation (OGRSpatialReferenceH hSourceSRS, OGRSpatialReferenceH hTargetSRS)
void CPL_STDCALL | OCTDestroyCoordinateTransformation (OGRCoordinateTransformationH)
| OGRCoordinateTransformation destructor.
char ** | OPTGetProjectionMethods (void)
char ** | OPTGetParameterList (const char *pszProjectionMethod, char **ppszUserName)
int | OPTGetParameterInfo (const char *pszProjectionMethod, const char *pszParameterName, char **ppszUserName, char **ppszType, double *pdfDefaultValue)

## Detailed Description

C spatial reference system services and defines.

See also: ogr_spatialref.h

## Function Documentation

void CPL_STDCALL OCTDestroyCoordinateTransformation | ( | OGRCoordinateTransformationH | hCT | ) |

OGRCoordinateTransformation destructor.

This function is the same as OGRCoordinateTransformation::DestroyCT()

Parameters:

  | hCT | the object to delete

References OCTDestroyCoordinateTransformation().

Referenced by OCTDestroyCoordinateTransformation().

OGRCoordinateTransformationH CPL_STDCALL OCTNewCoordinateTransformation | ( | OGRSpatialReferenceH | hSourceSRS,
|  | OGRSpatialReferenceH | hTargetSRS |
| ) |  |  |

Create transformation object.

This is the same as the C++ function OGRCreateCoordinateTransformation().

Input spatial reference system objects are assigned by copy (calling clone() method) and no ownership transfer occurs.

OCTDestroyCoordinateTransformation() should be used to destroy transformation objects.

The PROJ.4 library must be available at run-time.

Parameters:

  | hSourceSRS | source spatial reference system.
  | hTargetSRS | target spatial reference system.

Returns:
  NULL on failure or a ready to use transformation object.

References OCTNewCoordinateTransformation(), and OGRCreateCoordinateTransformation().

Referenced by OCTNewCoordinateTransformation().

int OPTGetParameterInfo | ( | const char * | pszProjectionMethod,
|  | const char * | pszParameterName,
|  | char ** | ppszUserName,
|  | char ** | ppszType,
|  | double * | pdfDefaultValue |
| ) |  |  |

Fetch information about a single parameter of a projection method.

Parameters:

  | pszProjectionMethod | name of projection method for which the parameter applies. Not currently used, but in the future this could affect defaults. This is the internal projection method name, such as "Tranverse_Mercator".
  | pszParameterName | name of the parameter to fetch information about. This is the internal name such as "central_meridian" (SRS_PP_CENTRAL_MERIDIAN).
  | ppszUserName | location at which to return the user visible name for the parameter. This pointer may be NULL to skip the user name. The returned name should not be modified or freed.
  | ppszType | location at which to return the parameter type for the parameter. This pointer may be NULL to skip. The returned type should not be modified or freed. The type values are described above.
  | pdfDefaultValue | location at which to put the default value for this parameter. The pointer may be NULL.

Returns:
  TRUE if parameter found, or FALSE otherwise.

char** OPTGetParameterList | ( | const char * | pszProjectionMethod,
|  | char ** | ppszUserName |
| ) |  |  |

Fetch the parameters for a given projection method.

Parameters:

  | pszProjectionMethod | internal name of projection methods to fetch the parameters for, such as "Transverse_Mercator" (SRS_PT_TRANSVERSE_MERCATOR).
  | ppszUserName | pointer in which to return a user visible name for the projection name. The returned string should not be modified or freed by the caller. Legal to pass in NULL if user name not required.

Returns:
  returns a NULL terminated list of internal parameter names that should be freed by the caller when no longer needed. Returns NULL if projection method is unknown.

char** OPTGetProjectionMethods | ( | void |  | ) |

Fetch list of possible projection methods.

Returns:
  Returns NULL terminated list of projection methods. This should be freed with CSLDestroy() when no longer needed.

OGRErr OSRAutoIdentifyEPSG | ( | OGRSpatialReferenceH | hSRS | ) |

Set EPSG authority info if possible.

This function is the same as OGRSpatialReference::AutoIdentifyEPSG().

const char* OSRAxisEnumToName | ( | OGRAxisOrientation | eOrientation | ) |

Return the string representation for the OGRAxisOrientation enumeration.

For example "NORTH" for OAO_North.

Returns:
  an internal string

References OSRAxisEnumToName().

Referenced by OSRAxisEnumToName(), and OGRSpatialReference::SetAxes().

void OSRCleanup | ( | void |  | ) |

Cleanup cached SRS related memory.

This function will attempt to cleanup any cache spatial reference related information, such as cached tables of coordinate systems.

References OSRCleanup().

Referenced by OGRCleanupAll(), and OSRCleanup().

OGRSpatialReferenceH CPL_STDCALL OSRClone | ( | OGRSpatialReferenceH | hSRS | ) |

Make a duplicate of this OGRSpatialReference.

This function is the same as OGRSpatialReference::Clone()

References OSRClone().

Referenced by OSRClone().

OGRSpatialReferenceH CPL_STDCALL OSRCloneGeogCS | ( | OGRSpatialReferenceH | hSource | ) |

Make a duplicate of the GEOGCS node of this OGRSpatialReference object.

This function is the same as OGRSpatialReference::CloneGeogCS().

References OSRCloneGeogCS().

Referenced by OSRCloneGeogCS().

OGRErr OSRCopyGeogCSFrom | ( | OGRSpatialReferenceH | hSRS,
|  | OGRSpatialReferenceH | hSrcSRS |
| ) |  |  |

Copy GEOGCS from another OGRSpatialReference.

This function is the same as OGRSpatialReference::CopyGeogCSFrom()

References OSRCopyGeogCSFrom().

Referenced by OSRCopyGeogCSFrom().

int OSRDereference | ( | OGRSpatialReferenceH | hSRS | ) |

Decrements the reference count by one.

This function is the same as OGRSpatialReference::Dereference()

References OSRDereference().

Referenced by OSRDereference().

void CPL_STDCALL OSRDestroySpatialReference | ( | OGRSpatialReferenceH | hSRS | ) |

OGRSpatialReference destructor.

This function is the same as OGRSpatialReference::~OGRSpatialReference() and OGRSpatialReference::DestroySpatialReference()

Parameters:

  | hSRS | the object to delete

References OSRDestroySpatialReference().

Referenced by OSRDestroySpatialReference().

int OSREPSGTreatsAsLatLong | ( | OGRSpatialReferenceH | hSRS | ) |

This function returns TRUE if EPSG feels this geographic coordinate system should be treated as having lat/long coordinate ordering.

This function is the same as OGRSpatialReference::OSREPSGTreatsAsLatLong().

int OSREPSGTreatsAsNorthingEasting | ( | OGRSpatialReferenceH | hSRS | ) |

This function returns TRUE if EPSG feels this geographic coordinate system should be treated as having northing/easting coordinate ordering.

This function is the same as OGRSpatialReference::EPSGTreatsAsNorthingEasting().

Since:
  OGR 1.10.0

OGRErr OSRExportToERM | ( | OGRSpatialReferenceH | hSRS,
|  | char * | pszProj,
|  | char * | pszDatum,
|  | char * | pszUnits |
| ) |  |  |

Convert coordinate system to ERMapper format.

This function is the same as OGRSpatialReference::exportToERM().

References OSRExportToERM().

Referenced by OSRExportToERM().

OGRErr OSRExportToMICoordSys | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszReturn |
| ) |  |  |

Export coordinate system in Mapinfo style CoordSys format.

This method is the equivalent of the C++ method OGRSpatialReference::exportToMICoordSys

References OSRExportToMICoordSys().

Referenced by OSRExportToMICoordSys().

OGRErr OSRExportToPCI | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszProj,
|  | char ** | ppszUnits,
|  | double ** | ppadfPrjParams |
| ) |  |  |

Export coordinate system in PCI projection definition.

This function is the same as OGRSpatialReference::exportToPCI().

References OSRExportToPCI().

Referenced by OSRExportToPCI().

OGRErr CPL_STDCALL OSRExportToPrettyWkt | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszReturn,
|  | int | bSimplify |
| ) |  |  |

Convert this SRS into a a nicely formatted WKT string for display to a person.

This function is the same as OGRSpatialReference::exportToPrettyWkt().

References OSRExportToPrettyWkt().

Referenced by OSRExportToPrettyWkt().

OGRErr CPL_STDCALL OSRExportToProj4 | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszReturn |
| ) |  |  |

Export coordinate system in PROJ.4 format.

This function is the same as OGRSpatialReference::exportToProj4().

References OSRExportToProj4().

Referenced by OSRExportToProj4().

OGRErr OSRExportToUSGS | ( | OGRSpatialReferenceH | hSRS,
|  | long * | piProjSys,
|  | long * | piZone,
|  | double ** | ppadfPrjParams,
|  | long * | piDatum |
| ) |  |  |

Export coordinate system in USGS GCTP projection definition.

This function is the same as OGRSpatialReference::exportToUSGS().

References OSRExportToUSGS().

Referenced by OSRExportToUSGS().

OGRErr CPL_STDCALL OSRExportToWkt | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszReturn |
| ) |  |  |

Convert this SRS into WKT format.

This function is the same as OGRSpatialReference::exportToWkt().

References OSRExportToWkt().

Referenced by OSRExportToWkt().

OGRErr OSRExportToXML | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszRawXML,
|  | const char * | pszDialect |
| ) |  |  |

Export coordinate system in XML format.

This function is the same as OGRSpatialReference::exportToXML().

References OSRExportToXML().

Referenced by OSRExportToXML().

OGRErr OSRFixup | ( | OGRSpatialReferenceH | hSRS | ) |

Fixup as needed.

This function is the same as OGRSpatialReference::Fixup().

References OSRFixup().

Referenced by OSRFixup().

OGRErr OSRFixupOrdering | ( | OGRSpatialReferenceH | hSRS | ) |

Correct parameter ordering to match CT Specification.

This function is the same as OGRSpatialReference::FixupOrdering().

References OSRFixupOrdering().

Referenced by OSRFixupOrdering().

double OSRGetAngularUnits | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszName |
| ) |  |  |

Fetch angular geographic coordinate system units.

This function is the same as OGRSpatialReference::GetAngularUnits()

References OSRGetAngularUnits().

Referenced by OSRGetAngularUnits().

const char* CPL_STDCALL OSRGetAttrValue | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszKey,
|  | int | iChild |
| ) |  |  |

Fetch indicated attribute of named node.

This function is the same as OGRSpatialReference::GetAttrValue()

References OSRGetAttrValue().

Referenced by OSRGetAttrValue().

const char* OSRGetAuthorityCode | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszTargetKey |
| ) |  |  |

Get the authority code for a node.

This function is the same as OGRSpatialReference::GetAuthorityCode().

References OSRGetAuthorityCode().

Referenced by OSRGetAuthorityCode().

const char* OSRGetAuthorityName | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszTargetKey |
| ) |  |  |

Get the authority name for a node.

This function is the same as OGRSpatialReference::GetAuthorityName().

References OSRGetAuthorityName().

Referenced by OSRGetAuthorityName().

const char* OSRGetAxis | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszTargetKey,
|  | int | iAxis,
|  | OGRAxisOrientation * | peOrientation |
| ) |  |  |

Fetch the orientation of one axis.

This method is the equivalent of the C++ method OGRSpatialReference::GetAxis

References OSRGetAxis().

Referenced by OSRGetAxis().

double OSRGetInvFlattening | ( | OGRSpatialReferenceH | hSRS,
|  | OGRErr * | pnErr |
| ) |  |  |

Get spheroid inverse flattening.

This function is the same as OGRSpatialReference::GetInvFlattening()

References OSRGetInvFlattening().

Referenced by OSRGetInvFlattening().

double OSRGetLinearUnits | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszName |
| ) |  |  |

Fetch linear projection units.

This function is the same as OGRSpatialReference::GetLinearUnits()

References OSRGetLinearUnits().

Referenced by OSRGetLinearUnits().

double OSRGetNormProjParm | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszName,
|  | double | dfDefaultValue,
|  | OGRErr * | pnErr |
| ) |  |  |

This function is the same as OGRSpatialReference::

This function is the same as OGRSpatialReference::GetNormProjParm()

References OSRGetNormProjParm().

Referenced by OSRGetNormProjParm().

double OSRGetPrimeMeridian | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszName |
| ) |  |  |

Fetch prime meridian info.

This function is the same as OGRSpatialReference::GetPrimeMeridian()

References OSRGetPrimeMeridian().

Referenced by OSRGetPrimeMeridian().

double OSRGetProjParm | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszName,
|  | double | dfDefaultValue,
|  | OGRErr * | pnErr |
| ) |  |  |

Fetch a projection parameter value.

This function is the same as OGRSpatialReference::GetProjParm()

References OSRGetProjParm().

Referenced by OSRGetProjParm().

double OSRGetSemiMajor | ( | OGRSpatialReferenceH | hSRS,
|  | OGRErr * | pnErr |
| ) |  |  |

Get spheroid semi major axis.

This function is the same as OGRSpatialReference::GetSemiMajor()

References OSRGetSemiMajor().

Referenced by OSRGetSemiMajor().

double OSRGetSemiMinor | ( | OGRSpatialReferenceH | hSRS,
|  | OGRErr * | pnErr |
| ) |  |  |

Get spheroid semi minor axis.

This function is the same as OGRSpatialReference::GetSemiMinor()

References OSRGetSemiMinor().

Referenced by OSRGetSemiMinor().

double OSRGetTargetLinearUnits | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszTargetKey,
|  | char ** | ppszName |
| ) |  |  |

Fetch linear projection units.

This function is the same as OGRSpatialReference::GetTargetLinearUnits()

Since:
  OGR 1.9.0

References OSRGetTargetLinearUnits().

Referenced by OSRGetTargetLinearUnits().

OGRErr OSRGetTOWGS84 | ( | OGRSpatialReferenceH | hSRS,
|  | double * | padfCoeff,
|  | int | nCoeffCount |
| ) |  |  |

Fetch TOWGS84 parameters, if available.

This function is the same as OGRSpatialReference::GetTOWGS84().

References OSRGetTOWGS84().

Referenced by OSRGetTOWGS84().

int OSRGetUTMZone | ( | OGRSpatialReferenceH | hSRS,
|  | int * | pbNorth |
| ) |  |  |

Get utm zone information.

This is the same as the C++ method OGRSpatialReference::GetUTMZone()

References OSRGetUTMZone().

Referenced by OSRGetUTMZone().

OGRErr CPL_STDCALL OSRImportFromEPSG | ( | OGRSpatialReferenceH | hSRS,
|  | int | nCode |
| ) |  |  |

Initialize SRS based on EPSG GCS or PCS code.

This function is the same as OGRSpatialReference::importFromEPSG().

OGRErr CPL_STDCALL OSRImportFromEPSGA | ( | OGRSpatialReferenceH | hSRS,
|  | int | nCode |
| ) |  |  |

Initialize SRS based on EPSG GCS or PCS code.

This function is the same as OGRSpatialReference::importFromEPSGA().

OGRErr OSRImportFromERM | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszProj,
|  | const char * | pszDatum,
|  | const char * | pszUnits |
| ) |  |  |

Create OGR WKT from ERMapper projection definitions.

This function is the same as OGRSpatialReference::importFromERM().

References OSRImportFromERM().

Referenced by OSRImportFromERM().

OGRErr OSRImportFromESRI | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | papszPrj |
| ) |  |  |

Import coordinate system from ESRI .prj format(s).

This function is the same as the C++ method OGRSpatialReference::importFromESRI()

References OSRImportFromESRI().

Referenced by OSRImportFromESRI().

OGRErr OSRImportFromMICoordSys | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszCoordSys |
| ) |  |  |

Import Mapinfo style CoordSys definition.

This method is the equivalent of the C++ method OGRSpatialReference::importFromMICoordSys

References OSRImportFromMICoordSys().

Referenced by OSRImportFromMICoordSys().

OGRErr OSRImportFromPCI | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszProj,
|  | const char * | pszUnits,
|  | double * | padfPrjParams |
| ) |  |  |

Import coordinate system from PCI projection definition.

This function is the same as OGRSpatialReference::importFromPCI().

References OSRImportFromPCI().

Referenced by OSRImportFromPCI().

OGRErr OSRImportFromProj4 | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszProj4 |
| ) |  |  |

Import PROJ.4 coordinate string.

This function is the same as OGRSpatialReference::importFromProj4().

References OSRImportFromProj4().

Referenced by OSRImportFromProj4().

OGRErr OSRImportFromUrl | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszUrl |
| ) |  |  |

Set spatial reference from a URL.

This function is the same as OGRSpatialReference::importFromUrl()

References OSRImportFromUrl().

Referenced by OSRImportFromUrl().

OGRErr OSRImportFromUSGS | ( | OGRSpatialReferenceH | hSRS,
|  | long | iProjsys,
|  | long | iZone,
|  | double * | padfPrjParams,
|  | long | iDatum |
| ) |  |  |

Import coordinate system from USGS projection definition.

This function is the same as OGRSpatialReference::importFromUSGS().

References OSRImportFromUSGS().

Referenced by OSRImportFromUSGS().

OGRErr OSRImportFromWkt | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszInput |
| ) |  |  |

Import from WKT string.

This function is the same as OGRSpatialReference::importFromWkt().

References OSRImportFromWkt().

Referenced by OSRImportFromWkt().

OGRErr OSRImportFromXML | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszXML |
| ) |  |  |

Import coordinate system from XML format (GML only currently).

This function is the same as OGRSpatialReference::importFromXML().

References OSRImportFromXML().

Referenced by OSRImportFromXML().

int OSRIsCompound | ( | OGRSpatialReferenceH | hSRS | ) |

Check if the coordinate system is compound.

This function is the same as OGRSpatialReference::IsCompound().

References OSRIsCompound().

Referenced by OSRIsCompound().

int OSRIsGeocentric | ( | OGRSpatialReferenceH | hSRS | ) |

Check if geocentric coordinate system.

This function is the same as OGRSpatialReference::IsGeocentric().

Since:
  OGR 1.9.0

References OSRIsGeocentric().

Referenced by OSRIsGeocentric().

int OSRIsGeographic | ( | OGRSpatialReferenceH | hSRS | ) |

Check if geographic coordinate system.

This function is the same as OGRSpatialReference::IsGeographic().

References OSRIsGeographic().

Referenced by OSRIsGeographic().

int OSRIsLocal | ( | OGRSpatialReferenceH | hSRS | ) |

Check if local coordinate system.

This function is the same as OGRSpatialReference::IsLocal().

References OSRIsLocal().

Referenced by OSRIsLocal().

int OSRIsProjected | ( | OGRSpatialReferenceH | hSRS | ) |

Check if projected coordinate system.

This function is the same as OGRSpatialReference::IsProjected().

References OSRIsProjected().

Referenced by OSRIsProjected().

int OSRIsSame | ( | OGRSpatialReferenceH | hSRS1,
|  | OGRSpatialReferenceH | hSRS2 |
| ) |  |  |

Do these two spatial references describe the same system ?

This function is the same as OGRSpatialReference::IsSame().

References OSRIsSame().

Referenced by OSRIsSame().

int OSRIsSameGeogCS | ( | OGRSpatialReferenceH | hSRS1,
|  | OGRSpatialReferenceH | hSRS2 |
| ) |  |  |

Do the GeogCS'es match?

This function is the same as OGRSpatialReference::IsSameGeogCS().

References OSRIsSameGeogCS().

Referenced by OSRIsSameGeogCS().

int OSRIsSameVertCS | ( | OGRSpatialReferenceH | hSRS1,
|  | OGRSpatialReferenceH | hSRS2 |
| ) |  |  |

Do the VertCS'es match?

This function is the same as OGRSpatialReference::IsSameVertCS().

References OSRIsSameVertCS().

Referenced by OSRIsSameVertCS().

int OSRIsVertical | ( | OGRSpatialReferenceH | hSRS | ) |

Check if vertical coordinate system.

This function is the same as OGRSpatialReference::IsVertical().

Since:
  OGR 1.8.0

References OSRIsVertical().

Referenced by OSRIsVertical().

OGRErr OSRMorphFromESRI | ( | OGRSpatialReferenceH | hSRS | ) |

Convert in place from ESRI WKT format.

This function is the same as the C++ method OGRSpatialReference::morphFromESRI()

References OSRMorphFromESRI().

Referenced by OSRMorphFromESRI().

OGRErr OSRMorphToESRI | ( | OGRSpatialReferenceH | hSRS | ) |

Convert in place to ESRI WKT format.

This function is the same as the C++ method OGRSpatialReference::morphToESRI()

References OSRMorphToESRI().

Referenced by OSRMorphToESRI().

OGRSpatialReferenceH CPL_STDCALL OSRNewSpatialReference | ( | const char * | pszWKT | ) |

Constructor.

This function is the same as OGRSpatialReference::OGRSpatialReference()

References OGRSpatialReference::importFromWkt(), and OSRNewSpatialReference().

Referenced by OSRNewSpatialReference().

int OSRReference | ( | OGRSpatialReferenceH | hSRS | ) |

Increments the reference count by one.

This function is the same as OGRSpatialReference::Reference()

References OSRReference().

Referenced by OSRReference().

void OSRRelease | ( | OGRSpatialReferenceH | hSRS | ) |

Decrements the reference count by one, and destroy if zero.

This function is the same as OGRSpatialReference::Release()

References OSRRelease().

Referenced by OSRRelease().

OGRErr OSRSetACEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Albers Conic Equal Area

References OSRSetACEA().

Referenced by OSRSetACEA().

OGRErr OSRSetAE | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Azimuthal Equidistant

References OSRSetAE().

Referenced by OSRSetAE().

OGRErr OSRSetAngularUnits | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszUnits,
|  | double | dfInRadians |
| ) |  |  |

Set the angular units for the geographic coordinate system.

This function is the same as OGRSpatialReference::SetAngularUnits()

References OSRSetAngularUnits().

Referenced by OSRSetAngularUnits().

OGRErr CPL_STDCALL OSRSetAttrValue | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszPath,
|  | const char * | pszValue |
| ) |  |  |

Set attribute value in spatial reference.

This function is the same as OGRSpatialReference::SetNode()

References OSRSetAttrValue().

Referenced by OSRSetAttrValue().

OGRErr OSRSetAuthority | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszTargetKey,
|  | const char * | pszAuthority,
|  | int | nCode |
| ) |  |  |

Set the authority for a node.

This function is the same as OGRSpatialReference::SetAuthority().

References OSRSetAuthority().

Referenced by OSRSetAuthority().

OGRErr OSRSetBonne | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStandardParallel,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Bonne

References OSRSetBonne().

Referenced by OSRSetBonne().

OGRErr OSRSetCEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Cylindrical Equal Area

References OSRSetCEA().

Referenced by OSRSetCEA().

OGRErr OSRSetCompoundCS | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszName,
|  | OGRSpatialReferenceH | hHorizSRS,
|  | OGRSpatialReferenceH | hVertSRS |
| ) |  |  |

Setup a compound coordinate system.

This function is the same as OGRSpatialReference::SetCompoundCS()

References OSRSetCompoundCS().

Referenced by OSRSetCompoundCS().

OGRErr OSRSetCS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Cassini-Soldner

References OSRSetCS().

Referenced by OSRSetCS().

OGRErr OSRSetEC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equidistant Conic

References OSRSetEC().

Referenced by OSRSetEC().

OGRErr OSRSetEckert | ( | OGRSpatialReferenceH | hSRS,
|  | int | nVariation,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert I-VI

References OSRSetEckert().

Referenced by OSRSetEckert().

OGRErr OSRSetEckertIV | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert IV

References OSRSetEckertIV().

Referenced by OSRSetEckertIV().

OGRErr OSRSetEckertVI | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert VI

References OSRSetEckertVI().

Referenced by OSRSetEckertVI().

OGRErr OSRSetEquirectangular | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equirectangular

References OSRSetEquirectangular().

Referenced by OSRSetEquirectangular().

OGRErr OSRSetEquirectangular2 | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfPseudoStdParallel1,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equirectangular generalized form

References OSRSetEquirectangular2().

Referenced by OSRSetEquirectangular2().

OGRErr CPL_STDCALL OSRSetFromUserInput | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszDef |
| ) |  |  |

Set spatial reference from various text formats.

This function is the same as OGRSpatialReference::SetFromUserInput()

References OSRSetFromUserInput().

Referenced by OSRSetFromUserInput().

OGRErr OSRSetGaussSchreiberTMercator | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gauss Schreiber Transverse Mercator

References OSRSetGaussSchreiberTMercator().

Referenced by OSRSetGaussSchreiberTMercator().

OGRErr OSRSetGeocCS | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszName |
| ) |  |  |

Set the user visible PROJCS name.

This function is the same as OGRSpatialReference::SetGeocCS()

Since:
  OGR 1.9.0

References OSRSetGeocCS().

Referenced by OSRSetGeocCS().

OGRErr OSRSetGeogCS | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszGeogName,
|  | const char * | pszDatumName,
|  | const char * | pszSpheroidName,
|  | double | dfSemiMajor,
|  | double | dfInvFlattening,
|  | const char * | pszPMName,
|  | double | dfPMOffset,
|  | const char * | pszAngularUnits,
|  | double | dfConvertToRadians |
| ) |  |  |

Set geographic coordinate system.

This function is the same as OGRSpatialReference::SetGeogCS()

References OSRSetGeogCS().

Referenced by OSRSetGeogCS().

OGRErr OSRSetGEOS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfSatelliteHeight,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

GEOS - Geostationary Satellite View

References OSRSetGEOS().

Referenced by OSRSetGEOS().

OGRErr OSRSetGH | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Goode Homolosine

References OSRSetGH().

Referenced by OSRSetGH().

OGRErr OSRSetGnomonic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gnomonic

References OSRSetGnomonic().

Referenced by OSRSetGnomonic().

OGRErr OSRSetGS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gall Stereograpic

References OSRSetGS().

Referenced by OSRSetGS().

OGRErr OSRSetHOM | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfAzimuth,
|  | double | dfRectToSkew,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Set a Hotine Oblique Mercator projection using azimuth angle.

Hotine Oblique Mercator using azimuth angle

This is the same as the C++ method OGRSpatialReference::SetHOM()

References OSRSetHOM().

Referenced by OSRSetHOM().

OGRErr OSRSetHOM2PNO | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfLat1,
|  | double | dfLong1,
|  | double | dfLat2,
|  | double | dfLong2,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Set a Hotine Oblique Mercator projection using two points on projection centerline.

Hotine Oblique Mercator using two points on centerline

This is the same as the C++ method OGRSpatialReference::SetHOM2PNO()

References OSRSetHOM2PNO().

Referenced by OSRSetHOM2PNO().

OGRErr OSRSetIGH | ( | OGRSpatialReferenceH | hSRS | ) |

Interrupted Goode Homolosine

References OSRSetIGH().

Referenced by OSRSetIGH().

OGRErr OSRSetIWMPolyconic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfLat1,
|  | double | dfLat2,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

International Map of the World Polyconic

References OSRSetIWMPolyconic().

Referenced by OSRSetIWMPolyconic().

OGRErr OSRSetKrovak | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfAzimuth,
|  | double | dfPseudoStdParallelLat,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Krovak Oblique Conic Conformal

References OSRSetKrovak().

Referenced by OSRSetKrovak().

OGRErr OSRSetLAEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Azimuthal Equal-Area

References OSRSetLAEA().

Referenced by OSRSetLAEA().

OGRErr OSRSetLCC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic

References OSRSetLCC().

Referenced by OSRSetLCC().

OGRErr OSRSetLCC1SP | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic 1SP

References OSRSetLCC1SP().

Referenced by OSRSetLCC1SP().

OGRErr OSRSetLCCB | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic (Belgium)

References OSRSetLCCB().

Referenced by OSRSetLCCB().

OGRErr OSRSetLinearUnits | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszUnits,
|  | double | dfInMeters |
| ) |  |  |

Set the linear units for the projection.

This function is the same as OGRSpatialReference::SetLinearUnits()

References OSRSetLinearUnits().

Referenced by OSRSetLinearUnits().

OGRErr OSRSetLinearUnitsAndUpdateParameters | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszUnits,
|  | double | dfInMeters |
| ) |  |  |

Set the linear units for the projection.

This function is the same as OGRSpatialReference::SetLinearUnitsAndUpdateParameters()

References OSRSetLinearUnitsAndUpdateParameters().

Referenced by OSRSetLinearUnitsAndUpdateParameters().

OGRErr OSRSetLocalCS | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszName |
| ) |  |  |

Set the user visible LOCAL_CS name.

This function is the same as OGRSpatialReference::SetLocalCS()

References OSRSetLocalCS().

Referenced by OSRSetLocalCS().

OGRErr OSRSetMC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Miller Cylindrical

References OSRSetMC().

Referenced by OSRSetMC().

OGRErr OSRSetMercator | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Mercator

References OSRSetMercator().

Referenced by OSRSetMercator().

OGRErr OSRSetMollweide | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Mollweide

References OSRSetMollweide().

Referenced by OSRSetMollweide().

OGRErr OSRSetNormProjParm | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszParmName,
|  | double | dfValue |
| ) |  |  |

Set a projection parameter with a normalized value.

This function is the same as OGRSpatialReference::SetNormProjParm()

References OSRSetNormProjParm().

Referenced by OSRSetNormProjParm().

OGRErr OSRSetNZMG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

New Zealand Map Grid

References OSRSetNZMG().

Referenced by OSRSetNZMG().

OGRErr OSRSetOM | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfAzimuth,
|  | double | dfRectToSkew,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Oblique Mercator (aka HOM (variant B)

OGRErr OSRSetOrthographic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Orthographic

References OSRSetOrthographic().

Referenced by OSRSetOrthographic().

OGRErr OSRSetOS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfOriginLat,
|  | double | dfCMeridian,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Oblique Stereographic

References OSRSetOS().

Referenced by OSRSetOS().

OGRErr OSRSetPolyconic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Polyconic

References OSRSetPolyconic().

Referenced by OSRSetPolyconic().

OGRErr OSRSetProjCS | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszName |
| ) |  |  |

Set the user visible PROJCS name.

This function is the same as OGRSpatialReference::SetProjCS()

References OSRSetProjCS().

Referenced by OSRSetProjCS().

OGRErr OSRSetProjection | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszProjection |
| ) |  |  |

Set a projection name.

This function is the same as OGRSpatialReference::SetProjection()

References OSRSetProjection().

Referenced by OSRSetProjection().

OGRErr OSRSetProjParm | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszParmName,
|  | double | dfValue |
| ) |  |  |

Set a projection parameter value.

This function is the same as OGRSpatialReference::SetProjParm()

References OSRSetProjParm().

Referenced by OSRSetProjParm().

OGRErr OSRSetPS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Polar Stereographic

References OSRSetPS().

Referenced by OSRSetPS().

OGRErr OSRSetRobinson | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Robinson

References OSRSetRobinson().

Referenced by OSRSetRobinson().

OGRErr OSRSetSinusoidal | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Sinusoidal

References OSRSetSinusoidal().

Referenced by OSRSetSinusoidal().

OGRErr OSRSetSOC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfLatitudeOfOrigin,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Swiss Oblique Cylindrical

References OSRSetSOC().

Referenced by OSRSetSOC().

OGRErr OSRSetStatePlane | ( | OGRSpatialReferenceH | hSRS,
|  | int | nZone,
|  | int | bNAD83 |
| ) |  |  |

Set State Plane projection definition.

This function is the same as OGRSpatialReference::SetStatePlane().

OGRErr OSRSetStatePlaneWithUnits | ( | OGRSpatialReferenceH | hSRS,
|  | int | nZone,
|  | int | bNAD83,
|  | const char * | pszOverrideUnitName,
|  | double | dfOverrideUnit |
| ) |  |  |

Set State Plane projection definition.

This function is the same as OGRSpatialReference::SetStatePlane().

OGRErr OSRSetStereographic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Stereographic

References OSRSetStereographic().

Referenced by OSRSetStereographic().

OGRErr OSRSetTargetLinearUnits | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszTargetKey,
|  | const char * | pszUnits,
|  | double | dfInMeters |
| ) |  |  |

Set the linear units for the target node.

This function is the same as OGRSpatialReference::SetTargetLinearUnits()

Since:
  OGR 1.9.0

References OSRSetTargetLinearUnits().

Referenced by OSRSetTargetLinearUnits().

OGRErr OSRSetTM | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator

Special processing available for Transverse Mercator with GDAL >= 1.10 and PROJ >= 4.8 : see OGRSpatialReference::exportToProj4().

References OSRSetTM().

Referenced by OSRSetTM().

OGRErr OSRSetTMG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Tunesia Mining Grid

References OSRSetTMG().

Referenced by OSRSetTMG().

OGRErr OSRSetTMSO | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator (South Oriented)

References OSRSetTMSO().

Referenced by OSRSetTMSO().

OGRErr OSRSetTMVariant | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszVariantName,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator variant

References OSRSetTMVariant().

Referenced by OSRSetTMVariant().

OGRErr OSRSetTOWGS84 | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfDX,
|  | double | dfDY,
|  | double | dfDZ,
|  | double | dfEX,
|  | double | dfEY,
|  | double | dfEZ,
|  | double | dfPPM |
| ) |  |  |

Set the Bursa-Wolf conversion to WGS84.

This function is the same as OGRSpatialReference::SetTOWGS84().

References OSRSetTOWGS84().

Referenced by OSRSetTOWGS84().

OGRErr OSRSetUTM | ( | OGRSpatialReferenceH | hSRS,
|  | int | nZone,
|  | int | bNorth |
| ) |  |  |

Set UTM projection definition.

This is the same as the C++ method OGRSpatialReference::SetUTM()

References OSRSetUTM().

Referenced by OSRSetUTM().

OGRErr OSRSetVDG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

VanDerGrinten

References OSRSetVDG().

Referenced by OSRSetVDG().

OGRErr OSRSetVertCS | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszVertCSName,
|  | const char * | pszVertDatumName,
|  | int | nVertDatumType |
| ) |  |  |

Setup the vertical coordinate system.

This function is the same as OGRSpatialReference::SetVertCS()

Since:
  OGR 1.9.0

References OSRSetVertCS().

Referenced by OSRSetVertCS().

OGRErr OSRSetWagner | ( | OGRSpatialReferenceH | hSRS,
|  | int | nVariation,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Wagner I -- VII

OGRErr OSRSetWellKnownGeogCS | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszName |
| ) |  |  |

Set a GeogCS based on well known name.

This function is the same as OGRSpatialReference::SetWellKnownGeogCS()

References OSRSetWellKnownGeogCS().

Referenced by OSRSetWellKnownGeogCS().

OGRErr OSRStripCTParms | ( | OGRSpatialReferenceH | hSRS | ) |

Strip OGC CT Parameters.

This function is the same as OGRSpatialReference::StripCTParms().

References OSRStripCTParms().

Referenced by OSRStripCTParms().

OGRErr OSRValidate | ( | OGRSpatialReferenceH | hSRS | ) |

Validate SRS tokens.

This function is the same as the C++ method OGRSpatialReference::Validate().

References OSRValidate().

Referenced by OSRValidate().

Generated for GDAL by 1.7.1.